import * as z from 'zod';
export const AppointmentFileAggregateResultSchema = z.object({  _count: z.object({
    id: z.number(),
    appointmentId: z.number(),
    filename: z.number(),
    mimeType: z.number(),
    filePath: z.number(),
    appointment: z.number()
  }).optional(),
  _sum: z.object({
    id: z.number().nullable(),
    appointmentId: z.number().nullable()
  }).nullable().optional(),
  _avg: z.object({
    id: z.number().nullable(),
    appointmentId: z.number().nullable()
  }).nullable().optional(),
  _min: z.object({
    id: z.number().int().nullable(),
    appointmentId: z.number().int().nullable(),
    filename: z.string().nullable(),
    mimeType: z.string().nullable(),
    filePath: z.string().nullable()
  }).nullable().optional(),
  _max: z.object({
    id: z.number().int().nullable(),
    appointmentId: z.number().int().nullable(),
    filename: z.string().nullable(),
    mimeType: z.string().nullable(),
    filePath: z.string().nullable()
  }).nullable().optional()});